package com.bwie.controller;

import com.bwie.config.LoginUserMap;
import com.bwie.domian.UserInfo;
import com.bwie.domian.req.LoginReq;
import org.springframework.web.bind.annotation.*;

import java.util.UUID;

@RestController
@RequestMapping("/login")
public class LoginController {


    @PostMapping
    public String login(@RequestBody LoginReq loginReq){

        if (!(loginReq.getUserName().length()>2 && loginReq.getPassword().length()>4)){
             return "登录失败";
        }
        String string = UUID.randomUUID().toString();
        LoginUserMap.put(string, UserInfo.LoginReqBuild(string,loginReq));

        return string;
    }


    @DeleteMapping
    public String logout(@RequestHeader("token") String token){
        LoginUserMap.remove(token);
        return "退出成功";
    }
}
